jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jukka Zitting <jukka.zitt...@gmail.com>
Subject Re: list of jars needed for jackrabbit 2.0
Date Thu, 17 Dec 2009 09:41:24 GMT
Hi,

On Thu, Dec 17, 2009 at 10:31 AM, anand <simer.anand88@gmail.com> wrote:
> Can anybody tell me about number and name  of jars
> required to run repository.

One is enough. Just add jackrabbit-standalone-2.0-beta4.jar to your
classpath and you're done.

Alternatively I'd recommend using Maven to manage the dependency set.
The following dependencies should be enough:

    <dependency>
      <groupId>javax.jcr</groupId>
      <artifactId>jcr</artifactId>
      <version>2.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.jackrabbit</groupId>
      <artifactId>jackrabbit-core</artifactId>
      <version>2.0-beta4</version>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-log4j12</artifactId> <!-- or another slf4j impl -->
      <version>1.5.8</version>
    </dependency>

BR,

Jukka Zitting

Mime
View raw message